<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\ProviderController;

// backoffice
Route::post('/login',   [AuthController::class, 'login']);
Route::post('/refresh', [AuthController::class, 'refresh']);

// app
Route::post('/login-app',              [AuthController::class, 'loginApp']);
Route::post('/refresh-app',            [AuthController::class, 'refreshApp']);
Route::post('/client-send-code',       [AuthController::class, 'clientSendCode']);
Route::post('/provider-send-code',     [AuthController::class, 'providerSendCode']);
Route::post('/user-validate-code',     [AuthController::class, 'validateCode']);
Route::post('/validate-code-client',   [AuthController::class, 'validateCodeClient']);
Route::post('/validate-code-provider', [AuthController::class, 'validateCodeProvider']);
Route::post('/register-client',        [ClientController::class, 'register']);
Route::post('/register-provider',      [ProviderController::class, 'register']);